<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Web - Form</title>
</head>
<body>
    <h1>Web - Form 表單 (input)</h1>

    <h2>Http Request 01</h2>
    <ul>
        <li>Request URL : ./</li>
        <li>Request Method : GET</li>
    </ul>
    <form action="" method="GET">
        <div>
            Account : <input type="text" name="account" value="DevAuth" />
            <br>
            Password: <input type="password" name="password" value="00000000" />
        </div>
        <input type="submit"/>
    </form>
    <hr>
    <h2>Http Request 02</h2>
    <ul>
        <li>Request URL : ./templates/002.web-form.html</li>
        <li>Request Method : POST</li>
    </ul>
    <form action="templates/002.web-form.html" method="POST">
        <div>
            Account <input type="text" name="account" value="DevAuth" />
            <br>
            Password <input type="password" name="password" value="00000000" />
        </div>
        <br>
        <textarea rows="5" cols="50" name="description">Text</textarea>
        <div>
            <input type="checkbox" name="maths" value="on"> Maths
            <input type="checkbox" name="physics" value="on"> Physics
        </div>
        <div>
            <input type="radio" name="subject" value="maths"> Maths
            <input type="radio" name="subject" value="physics"> Physics
        </div>
        <div>
            <select name="dropdown">
                <option value="Maths" selected>Maths</option>
                <option value="Physics">Physics</option>
            </select>
            <input type="file" name="fileupload" accept="image/*" />
        </div>
        <input type="image" name="img-btn" src="static/img/logo.png" width="50" height="50" />
        <input type="button" name="button" value="Button" />
        <input type="reset" name="reset" value="Reset" />
        <input type="submit"/>
    </form>
</body>
</html>
